# Interface AxiosProxyConfig

interface AxiosProxyConfig {
auth ?: AxiosBasicCredentials ;
host : string;
port : number;
protocol ?: string;
}

- Defined in node_modules/axios/index.d.ts:121

##### Index

### Properties

auth?
host
port
protocol?

## Properties

### `Optional` auth

auth?: AxiosBasicCredentials

- Defined in node_modules/axios/index.d.ts:124

### host

host: string

- Defined in node_modules/axios/index.d.ts:122

### port

port: number

- Defined in node_modules/axios/index.d.ts:123

### `Optional` protocol

protocol?: string

- Defined in node_modules/axios/index.d.ts:125